/*---------------------------------------------------------------------------*\
|  Register all the RXNPIPES.DLL Functions    (C) Alain Rykaert - DEC95-JUN96 |
\*---------------------------------------------------------------------------*/

    Parse Upper Arg Option .

    if Strip(Translate(Option)) = '/M'
     then MUTE = 1
     else MUTE = 0

    Result_Query=RxFuncQuery('RxNPLoadFuncs')
    if Result_Query = 0
     then do
             if \MUTE then Say '*** OK, RxNPipes was registered. ***'
          end
     else do
             Result_Add = RxFuncAdd('RxNPLoadFuncs', 'RxNPipes', 'RxNPLoadFuncs')
             if Result_Add = 0
              then do
                      if \MUTE then Say '*** OK, RxNPipes is registered. ***'
                      Signal ON Syntax Name Load_Check
                      Call RxNPLoadFuncs
                      Load_Check: /* RC of 43 means REXXUTILs not found */
                      if RC = 43
                       then do
                               Say '*** ERROR: Not able to load the RxNPipess. '
                               Say '    Perhaps REXX not installed, or REXXUTIL.DLL not found in a LIBPATH drive/directory.'
                              '@Pause'
                            end
                       else Nop
                      Signal OFF Syntax
                   end
              else do
                      Say '*** ERROR: RxNPipes registration has failed. ***'
                     '@Pause'
                   end
          end

    if \MUTE then say '0A0D'X ' RXNPIPES.DLL version' RXNPVERSION()

    Exit

 /*--------------------------------------------------------------------------*/

